Subject: Bug#4254: msql config problems

From: [email-masked] (Martin Schulze)
Date: Tue, 3 Sep 1996 11:40:15 +0200 (MET DST)

Hallo Brian!

}Version: 1.0.16-2
}
}After upgrading from v1.0.14...

I have tried this, too, but haven't had any problems.

}The /var/log/msql directory is:
}
}drwxr-x---   2 operator msql         1024 Aug 23 15:11 /var/log/msql/
}
}It should be owned by "root.msql" and have the permissions "775".

It is owned by msql.msql. There might be a problem with your uid/gid
that I don't understand because the postinst is testing and correcting
them. I change it to mode 755.

}The /etc/msql.acl file is:
}
}-rwx------   1 operator msql          300 Aug 23 15:08 /etc/msql.acl*
}
}It should be owned by "msql.msql" and have the permissions "775".

It _is_ owned by msql.msql and should never be a+x. As this file
contains rules for accessing databases that no everyone should know I
don't believe that is should be world-readable.  Especially because of
miserable access rules every user could easily think of spoofing.

}*** The install script removed the existing "msql.acl" file I had made.
}Good thing I make backups!

I'm awfully sorry, this seems to be the case because of msqld replaces
msql-server. This didn't happen here.

}Fixing these and restarting using "/etc/init.d/msqld start" gives
}the following error (repeatedly)...

}>Can't start server : UNIX Bind : Permission denied

Then another msqld is already running, kill it with killall.

}>
}>mSQL Server 1.0.16 starting ...
}
}
}The unix socket is:
}
}srwxrwxrwx   1 root     root            0 Aug 21 15:52 /dev/msql=
}
}This should probably be owned by "root.msql", but shouldn't be the
}cause of this problem.

No, my msql-package doesn't provide a socket in /dev but in
/var/run/msql.  This socket was used by the old msql package.

}Trying to stop these repeated message by doing "/etc/init.d/msqld stop"
}gives the following error:
}
}callandor:/etc# /etc/init.d/msqld stop
}ERROR : Can't connect to local MSQL server
}rm: /var/run/msqld/shutdown: Permission denied
}rm: /var/run/msqld/shutdown: Permission denied

This all seems to be a result of incompatibilities betweeen these two
packages.

}The shutdown file is:
}
}-rw-r-----   1 root     root            5 Aug 23 15:52 /var/run/msqld/shutdown
}
}Since I ran the stop command as root, the only thing I can think of here
}is that something is running as user/group "msql" and could thus not access
}the shutdown file.

Do you still have any problems after rebooting? (this erases every
eventually running old daemon)

Regards,

	Joey

-- 
  / Martin Schulze  *  Debian Linux Maintainer  *  [email-masked]/
 / http://www.debian.org/              http://home.pages.de/~joey/